#!/bin/bash
# This file was made to call expdp_schema shell for each DB schema that needs to be backed up.
# Its supposed to be called by a cron job: ( 01 01 * * * /bin/bash /var/backups/oracle/backupall.sh )

# Additionaly old backups are deleted here. (removed dumps are logged and old logs are removed)
bash -c 'date;find /var/backups/oracle/*.log -mtime +7 -exec rm -v {} \;;date'  # removes old log files
bash -c 'date;find /var/backups/oracle/*.dmp -mtime +7 -exec rm -v {} \;;date' >> /var/backups/oracle/removeddumps.log    # removes old dumps and saves log of removed dumps.

{% for database in hostvars[inventory_hostname]['oracle_databases'] %}
/var/backups/oracle/backup.sh {{database.schema}}
{% endfor %}
