#!/bin/bash
# Resets VER_{{item.user}} database to original state by dropping it, restoring it from
# demo and then resetting some date fields.

export ORACLE_HOME=/u01/app/oracle/product/11.2.0/xe
export ORACLE_SID=XE
export NLS_LANG=`$ORACLE_HOME/bin/nls_lang.sh`
export ORACLE_BASE=/u01/app/oracle
export LD_LIBRARY_PATH=$ORACLE_HOME/lib:$LD_LIBRARY_PATH
export PATH=$ORACLE_HOME/bin:$PATH

sqlplus sys/root as sysdba < /opt/demo_reset/{{item.user}}_drop_create.sql
imp system/root FILE=/opt/demo_reset/{{item.user}}.dmp FROMUSER=ver_{{item.user}} STATISTICS=None TOUSER=ver_{{item.user}}
sqlplus ver_{{item.user}}/{{item.pass}} < /opt/demo_reset/demo_reset.sql
