#!/bin/bash

export ORACLE_HOME=/u01/app/oracle/product/11.2.0/xe
export ORACLE_SID=XE
export NLS_LANG=`$ORACLE_HOME/bin/nls_lang.sh`
export ORACLE_BASE=/u01/app/oracle
export LD_LIBRARY_PATH=$ORACLE_HOME/lib:$LD_LIBRARY_PATH
export PATH=$ORACLE_HOME/bin:$PATH

sqlplus sys/root as sysdba < /opt/setup.sql > /opt/setup.log

{% for application in oracle_svn_installs %}
sqlplus {{oracle_schema}}/\"{{oracle_password}}\" < /opt/{{application.pathname}}.sql > /opt/{{application.pathname}}.log
{% endfor %}
